require "httparty"
require 'singleton'
require 'hashie'

Hash.send :include, Hashie::Extensions::DeepMerge

require 'frizzle/version'
require 'frizzle/exceptions'
require 'frizzle/base'
require 'frizzle/agencies'
require 'frizzle/segments'
require 'frizzle/routes'
require 'frizzle/stops'
require 'frizzle/vehicles'
require 'frizzle/arrival_estimates'

module Frizzle
  class << self

    def agencies
      Frizzle::Agencies
    end

    def segments
      Frizzle::Segments
    end

    def routes
      Frizzle::Routes
    end

    def stops
      Frizzle::Stops
    end

    def vehicles
      Frizzle::Vehicles
    end

    def arrival_estimates
      Frizzle::ArrivalEstimates
    end

    def default_geo_radius=(radius)
      Frizzle::Base.default_geo_radius = radius
    end

    def default_geo_radius
      Frizzle::Base.default_geo_radius
    end

  end
end