module Frizzle
  class Agencies < Base
    class << self

      def all
        fetch("/agencies.json")
      end

      def find(options={})
        fetch("/agencies.json",
          :query => options )
      end

      def find_by_id(agencies)
        fetch("/agencies.json",
          :query => { :agencies => formatted_list(agencies) })
      end

      def find_by_geo_area(geo_area_first, geo_area_second=nil)
        fetch("/agencies.json",
          :query => { :geo_area => formatted_geo_area(geo_area_first, geo_area_second) })
      end

      def find_by_id_and_geo_area(agencies, geo_area_first, geo_area_second=nil)
        fetch("/agencies.json",
          :query => {
            :agencies => formatted_list(agencies),
            :geo_area => formatted_geo_area(geo_area_first, geo_area_second)
          })
      end

    end
  end
end