module Frizzle
  class Segments < Base
    class << self

      def find(options={})
        fetch("/segments.json",
          :query => options )
      end

      def find_by_agencies(agencies)
        fetch("/segments.json",
          :query => { :agencies => formatted_list(agencies) })
      end

      def find_by_agencies_and_routes(agencies, routes)
        fetch("/segments.json",
          :query => {
            :agencies => formatted_list(agencies),
            :routes => formatted_list(routes)
          })
      end

      def find_by_agencies_and_geo_area(agencies, geo_area_first, geo_area_second=nil)
        fetch("/segments.json",
          :query => {
            :agencies => formatted_list(agencies),
            :geo_area => formatted_geo_area(geo_area_first, geo_area_second)
          })
      end

    end
  end
end